package com.chenyang.nse.bussiness.encryptionrule.model;

import java.util.ArrayList;
import java.util.List;

public class EncryptionTableGroup {
   private String tablename;
   private List<EncryptionField> encryptionFieldList = new ArrayList();

   public EncryptionTableGroup(String tablename) {
      this.tablename = tablename;
   }

   public String getTablename() {
      return this.tablename;
   }

   public void setTablename(String tablename) {
      this.tablename = tablename;
   }

   public List<EncryptionField> getEncryptionFieldList() {
      return this.encryptionFieldList;
   }

   public void setEncryptionFieldList(List<EncryptionField> encryptionFieldList) {
      this.encryptionFieldList = encryptionFieldList;
   }

   public boolean equals(Object obj) {
      if (obj == null) {
         return false;
      } else if (this.tablename == null) {
         return false;
      } else {
         EncryptionTableGroup target = (EncryptionTableGroup)obj;
         return this.tablename.equals(target.getTablename());
      }
   }
}
